(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     10636,        238]
NotebookOptionsPosition[     10025,        219]
NotebookOutlinePosition[     10462,        236]
CellTagsIndexPosition[     10419,        233]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.815307560872032*^9, 3.8153075642667866`*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"25b88cbc-2fae-4bae-9fd4-b6e7208bbb80"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "2"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.819458856944426*^9, 3.8194589208280315`*^9}, {
   3.819458950968675*^9, 3.8194589974957137`*^9}, {3.819464491707259*^9, 
   3.819464522798955*^9}, {3.8194693455997896`*^9, 3.8194694018273745`*^9}, {
   3.8194694452310266`*^9, 3.819469475736224*^9}, 3.81946962050657*^9},
 CellLabel->"In[25]:=",ExpressionUUID->"ccbf38b5-b767-4ee8-999e-abc9b5ed40aa"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 2], 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1]}, {{{1, 2}, {3, 3}, {3, 4}, {3, 
       2}, {4, 4}, {4, 3}, {2, 2}, {2, 4}, {2, 3}}, Null}, {
      EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 2]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 2]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 0]] -> "b/1,c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/0"}, 
       EdgeWeight -> {
        "", "a/0", "b/1", "c/0", "a/1", "b/1,c/1", "a/1", "b/0", "c/0"}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.43304447377950417`}, {1.139679660581189, 
          0.4330315645353372}}, 0.02323723629955482], 
         InsetBox["\<\"\"\>", {0.5698398302905945, 0.4330380191574207}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.139679660581189, 0.4330315645353372}, {
          1.314862133476542, 0.2072897868729857}, {1.2788388670170547`, 
          0.04512327411012673}, {
          1.1967303877566422`, -0.031205537402400313`}, {0.8932598238730514, 
          0.035478880776904864`}, {0.8507151521844142, 
          0.13919889207789995`}, {0.8859964342278368, 0.3015284479987186}, {
          1.139679660581189, 0.4330315645353372}},
          SplineDegree->7], 0.02323723629955482], 
         InsetBox["\<\"a/1\"\>", {1.032370194009583, -0.05531736643934744}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.139679660581189, 0.4330315645353372}, {
          1.5373841088974467`, 0.8037627806631487}, {2.077503910582351, 
          0.8660609559976906}}], 0.02323723629955482], 
         InsetBox["\<\"c/0\"\>", {1.5782797281794052, 0.7151939577665956}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.139679660581189, 0.4330315645353372}, {
          2.077460667500598, 0.}}, 0.02323723629955482], 
         InsetBox["\<\"b/0\"\>", {1.6085701640408936, 0.2165157822676686}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.077503910582351, 0.8660609559976906}, {
          1.6797994622660903`, 0.49532973986988027`}, {1.139679660581189, 
          0.4330315645353372}}], 0.02323723629955482], 
         InsetBox["\<\"c/0\"\>", {1.638903842984135, 0.5838985627664325}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.077503910582351, 0.8660609559976906}, {
          1.9644761951848118`, 1.0434071440862869`}, {2.0241465343412863`, 
          1.2413279252495983`}, {2.142342906365161, 1.3166799159816547`}, {
          2.459447869480603, 1.1138115457695072`}, {2.4405784260394854`, 
          0.9749150052398291}, {2.2858954834158487`, 0.8377786779861182}, {
          2.077503910582351, 0.8660609559976906}},
          SplineDegree->7], 0.02323723629955482], 
         InsetBox["\<\"a/0\"\>", {2.346956498456767, 1.2872441737162743}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.077503910582351, 0.8660609559976906}, {
          2.2198979997518595`, 0.43302336707416506`}, {2.077460667500598, 
          0.}}], 0.02323723629955482], 
         InsetBox["\<\"b/1\"\>", {2.138106555961313, 0.4330274509831225}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.077460667500598, 0.}, {
          1.9350665783310925`, 0.4330375889235214}, {2.077503910582351, 
          0.8660609559976906}}], 0.02323723629955482], 
         InsetBox["\<\"b/1,c/1\"\>", {2.016858022121636, 0.43303350501456794},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.077460667500598, 0.}, {
          2.2858539273038048`, 0.028269845173542807`}, {
          2.440528688002487, -0.10887571032917688`}, {
          2.4593898447447966`, -0.24777337637591815`}, {
          2.1422727789241605`, -0.45062282752205574`}, {
          2.0240809026633655`, -0.3752637852454784}, {
          1.9644223717059917`, -0.17733944446003536`}, {2.077460667500598, 
          0.}},
          SplineDegree->7], 0.02323723629955482], 
         InsetBox["\<\"a/1\"\>", {2.3468881268086874, -0.42119929269977185}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.43304447377950417}, 0.02323723629955482], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.02323723629955482, 0.456281710079059}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.139679660581189, 0.4330315645353372}, 
          0.02323723629955482], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {1.1629168968807437, 0.456268800834892}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.077503910582351, 0.8660609559976906}, 
          0.02323723629955482], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {2.100741146881906, 0.8892981922972454}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.077460667500598, 0.}, 0.02323723629955482], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {2.100697903800153, 0.02323723629955482}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.819469483577881*^9, 3.819469624818759*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"b1a223e3-271d-4ff4-829f-18901153483a"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{Automatic, -5.5}, {-5.5, Automatic}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5bae12ec-38e9-4914-860f-25dfb0d9b85a"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 201, 3, 42, "Input",ExpressionUUID->"25b88cbc-2fae-4bae-9fd4-b6e7208bbb80"],
Cell[CellGroupData[{
Cell[784, 27, 2179, 56, 101, "Input",ExpressionUUID->"ccbf38b5-b767-4ee8-999e-abc9b5ed40aa"],
Cell[2966, 85, 7043, 131, 439, "Output",ExpressionUUID->"b1a223e3-271d-4ff4-829f-18901153483a"]
}, Open  ]]
}
]
*)

